:host {
  top: var(--safe-area-inset-top, env(safe-area-inset-top));
}

ion-content {
  --padding-start: 0;
  --padding-end: 0;
  --padding-top: 0;
  --padding-bottom: 0;

  position: relative;
}

#main-map {
  position: absolute;
  top: 0;
  bottom: 0;
  width: 100%;
  height: 100%;
}

.error-card-content {
  padding: var(--spacing-medium) var(--display-edge-spacing) 0
    var(--display-edge-spacing);
}

ion-content.modal-open .bottom-controls {
  --controls-bottom: 72%;
}

.map-container {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  height: 100%;
}

.overlay-controls {
  position: relative;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  pointer-events: none;
}

.bottom-controls {
  position: fixed;
  bottom: var(--controls-bottom, 1rem);
  display: flex;
  justify-content: space-between;
  align-items: flex-end;
  padding: 16px;
  pointer-events: none;
  width: 100%;
  transition: bottom 0.3s ease-in-out;
}

.bottom-controls > app-map-chips {
  flex: 1;
}

.bottom-controls > .map-controls {
  flex: 0 0 auto;
}

.map-controls,
app-map-chips {
  pointer-events: auto;
}

.map-controls {
  display: flex;
  padding: var(--spacing-minor, 15px) 10px;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 20px;
  border-radius: 25px;
  background: var(--Maximum-Background);
}

app-map-chips {
  position: fixed;
  bottom: 1.5rem;
  color: white;
  font-size: 1rem;
  display: flex;
  align-items: center;
  transition:
    bottom 0.3s ease-in-out,
    transform 0.3s ease-in-out;
  z-index: 100;
  width: 90%;
}

.map-control-button {
  user-select: none;
  cursor: pointer;
  color: var(--Maximum-Background);
  font-weight: 600;
}

.modal-open-chip {
  bottom: calc(70% + 1.5rem);
}
